メインコンテンツへスキップ
PATCH
/
crm
/
objects
/
2026-03
/
{objectType}
/
{objectId}
Update
curl --request PATCH \
  --url https://api.hubapi.com/crm/objects/2026-03/{objectType}/{objectId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "properties": {}
}
'
{
  "archived": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "properties": {},
  "updatedAt": "2023-11-07T05:31:56Z",
  "archivedAt": "2023-11-07T05:31:56Z",
  "objectWriteTraceId": "<string>",
  "propertiesWithHistory": {},
  "url": "<string>"
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

objectId
string
必須
objectType
string
必須

クエリパラメータ

idProperty
string

The name of a property whose values are unique for this object type

ボディ

application/json

Represents the input required to create or update a CRM object, containing an object with property names and their corresponding values.

properties
object
必須

Key value pairs representing the properties of the object.

レスポンス

successful operation

A simple public object.

archived
boolean
必須

Whether the object is archived.

createdAt
string<date-time>
必須

The timestamp when the object was created, in ISO 8601 format.

id
string
必須

The unique ID of the object.

properties
object
必須

Key-value pairs representing the properties of the object.

updatedAt
string<date-time>
必須

The timestamp when the object was last updated, in ISO 8601 format.

archivedAt
string<date-time>

The timestamp when the object was archived, in ISO 8601 format.

objectWriteTraceId
string

Unique ID to identify each write operation, which will be returned with any errors to identify which request encountered which error.

propertiesWithHistory
object

Key-value pairs representing the properties of the object along with their history.

url
string

URL to go to the object

最終更新日 2026年6月11日